package com.tsconsulting.dsubbotin.tm.endpoint;

import javax.xml.ws.WebFault;


/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-07-28T15:37:14.916+03:00
 * Generated source version: 3.4.3
 */

@WebFault(name = "AbstractException", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/")
public class AbstractException_Exception extends Exception {

    private com.tsconsulting.dsubbotin.tm.endpoint.AbstractException faultInfo;

    public AbstractException_Exception() {
        super();
    }

    public AbstractException_Exception(String message) {
        super(message);
    }

    public AbstractException_Exception(String message, java.lang.Throwable cause) {
        super(message, cause);
    }

    public AbstractException_Exception(String message, com.tsconsulting.dsubbotin.tm.endpoint.AbstractException abstractException) {
        super(message);
        this.faultInfo = abstractException;
    }

    public AbstractException_Exception(String message, com.tsconsulting.dsubbotin.tm.endpoint.AbstractException abstractException, java.lang.Throwable cause) {
        super(message, cause);
        this.faultInfo = abstractException;
    }

    public com.tsconsulting.dsubbotin.tm.endpoint.AbstractException getFaultInfo() {
        return this.faultInfo;
    }
}
